if Network and Network:is_client() then
	return
end

Hooks:PostHook(GroupAITweakData, "_init_enemy_spawn_groups_level", "spawn_more_marshal", function(self, tweak_data, difficulty_index, ...)
	local lvl_tweak_data = tweak_data.levels[Global.game_settings and Global.game_settings.level_id or Global.level_data and Global.level_data.level_id]

	if lvl_tweak_data and not lvl_tweak_data.ai_marshal_spawns_disabled then
		self.enemy_spawn_groups.marshal_squad = {
			spawn_cooldown = 60,
			max_nr_simultaneous_groups = 4,
			initial_spawn_delay = 0,
			amount = {
				5,
				5
			},
			spawn = {
				{
					respawn_cooldown = 30,
					amount_min = 1,
					rank = 2,
					freq = 1,
					unit = "marshal_shield",
					tactics = self._tactics.marshal_shield
				},
				{
					respawn_cooldown = 30,
					amount_min = 1,
					rank = 1,
					freq = 1,
					unit = "marshal_marksman",
					tactics = self._tactics.marshal_marksman
				}
			},
			spawn_point_chk_ref = table.list_to_set({
				"tac_shield_wall",
				"tac_shield_wall_ranged",
				"tac_shield_wall_charge"
			})
		}
	end

end)
